import { LitElement, html } from 'lit-element';
import { connect } from 'pwa-helpers/connect-mixin.js';
import { store } from '../store.js';
import { totalTransMoneySelector } from '../reducers/transaction.js';

class ItemListElement extends connect(store)(LitElement) {
    render () {
        console.log(this.totalAmount);
            const transLength = Object.keys(this.tran_data).length;
            var transDataList;
            if(transLength != 0) {                
                const keyNames = Object.keys(this.tran_data);
                const transDataList = keyNames.map(key => this.tran_data[key]);
            }
            
        return html`
        <style>
            .Table
            {
                display: table;
                font-family: arial, sans-serif;
                border-collapse: collapse;
                width: 100%;
            }
            .Title
            {
                display: table-caption;
                text-align: center;
                font-weight: bold;
                font-size: larger;
            }
            .Heading
            {
                display: table-row;
                font-weight: bold;
                text-align: center;
            }
            .Row
            {
                display: table-row;
            }
            .Cell
            {
                display: table-cell;
                border: solid;
                border-width: thin;
                padding-left: 5px;
                padding-right: 5px;
                text-align: center;
                border: 1px solid #dddddd;
                padding: 8px;
            }
        
        </style>
        <!--div class="Table">
        <div class="Heading">
            <div class="Cell">
                
            </div>
            <div class="Cell">
                <h3>Item</h3>
            </div>
            <div class="Cell">
                <h3>Volume</h3>
            </div>
            <div class="Cell">
                <h3>Amount</h3>
            </div>
            <div class="Cell">
               
            </div>
        </div>

        <div class="Row">
            <div class="Cell">
                <span></span>
            </div>
            <div class="Cell">
                <span></span>
            </div>  
            <div class="Cell">
                <span></span>
            </div>
            <div class="Cell">
                <span></span>
            </div>
            <div class="Cell">                    
                <button  @click="" >Delete</button>
            </div> 
       </div>
    </div-->

    <div class="Table">
            <div class="Heading">
                <div class="Cell">
                    
                </div>
                <div class="Cell">
                    <h3>Item</h3>
                </div>
                <div class="Cell">
                    <h3>Volume</h3>
                </div>
                <div class="Cell">
                    <h3>Amount</h3>
                </div>
                <div class="Cell">
                
                </div>
            </div>

            ${Object.keys(this.tran_data).map( key => {
                const trans = this.tran_data[key];
                return html`
            <div class="Row">
                <div class="Cell">
                    <span>${parseInt(key)+1}</span>
                </div>
                <div class="Cell">
                    <span>P${trans.pump_id}-${trans.product}</span>
                </div>  
                <div class="Cell">
                    <span>${trans.volume}</span>
                </div>
                <div class="Cell">
                    <span>${trans.money}</span>
                </div>
                <div class="Cell">                    
                    <button  @click="" >Delete</button>
                </div> 
            </div>
            `
        })}
            
           
            <div class="Row">
                <div class="Cell">
                    <span></span>
                </div>
                <div class="Cell">
                    <span></span>
                </div>
                <div class="Cell">
                    <span>Total</span>
                </div>
                <div class="Cell">
                    <span>${this.totalAmount.money}</span>
                </div>
                <div class="Cell">
                    <span></span>
                </div>
            </div>
        </div>
        `;      
    }

    static get properties() {
        return {
            tran_data : {
                type: Array
            }, 
            totalAmount : { type : Number}

        }
    }

    stateChanged(state) {
        if(state.transactions){
            this.tran_data = state.transactions;
            this.totalAmount = totalTransMoneySelector(state);
        }
             
    }
}

customElements.define('item-list-element', ItemListElement);