import { LitElement , html } from 'lit-element';
import './my-icons.js';
import '@polymer/paper-icon-button/paper-icon-button.js';
import { store } from '../store.js';
import { connect } from 'pwa-helpers/connect-mixin.js';
import { addTransaction } from '../actions/transaction.js';

class PumpView extends connect(store)(LitElement) {

    render() {
        var tran_list = this.pump_data.trans;
        if(this.pump_data.trans == undefined) {
            var tran_list = [];
        }else{
            var tran_list = this.pump_data.trans;
        }
        
        var trans_count;
        if(this.pump_data.trans != undefined) {
            trans_count = (this.pump_data.trans).length;
        }else{
            trans_count = 0;
        }
        
        var pump_status;
        if(this.pump_data.status == 'error') {
            pump_status = 'ideal';
        }else{
            pump_status = this.pump_data.status;
        }
        return html`
        <style>
        .Table
        {
            font-family: arial, sans-serif;
            border-collapse: collapse;
            border: 1px solid;
            
        }
        #ideal{
            
        }
        #fueling
        {
            
        }
        #error
        {
            
        }
        #calling
        {
           
        }
        .row
        {
           
            border-bottom: 1px solid;
            text-align: center;
            height: 16px;
        }
        .image{
            border-bottom: 1px solid;
        }
        .image > img {
            width: 95px;
            height: 76px;
            padding-left: 10px;
        }
        .grid {
            display: flex;
            margin: 0 10px 32px 10px;
            padding: 0;
            list-style: none;
            
          }
    
          .grid li {
            -webkit-flex-basis: 33%;
            flex-basis: 14%;
            padding-left: 10px;
          }
         button{
            width: 40px;
            height: 40px;
            font-size: inherit;
            vertical-align: middle; 
            background: transparent;
            border: none;
            cursor: pointer;
            padding-left: 25px;
         }
         .papericon{
            margin-left: 20px;
         }
         #circle {
            background: #E91E63;
            width: 30px;
            height: 30px;
            border-radius: 50%;
            margin-left: 41px;
            margin-bottom: 5px;
            font-size: 16px;
            font-weight: bold;
            line-height: 34px;
            text-align:center;
            color:white;
        }

        .trans_table
        {
            display: table;
            font-family: arial, sans-serif;
            border-collapse: collapse;
            width: 60%;
            margin-top: 30px;
            margin: 10px;
        }
        .Title
        {
            display: table-caption;
            text-align: center;
            font-weight: bold;
            font-size: larger;
        }
        .Heading
        {
            display: table-row;
            font-weight: bold;
            text-align: center;
        }
        .Row
        {
            display: table-row;
        }
        .Cell
        {
            display: table-cell;
            border-width: thin;
            padding-left: 5px;
            padding-right: 5px;
            text-align: center;
            border-bottom: 1px solid #dddddd;
            padding: 8px;
        }
        
        </style>
        <div class="Table">
            <div class="row" id="${this.pump_data.status}">
                    <h3>${this.pump_data.id}</h3>
            </div>
            ${pump_status ? html`
            <div class="image">
                <img src="./images/${pump_status}.png">
                <div id="circle" @click="${() => this.showTransList()}">2</div>
                
            </div>
            `: null}
            <div class="icon">
            <paper-icon-button class="papericon" icon="authorized" 
                @click="">
            </paper-icon-button>

            <paper-icon-button class="" icon="unauthorized" 
                    @click="">
            </paper-icon-button>

            <paper-dialog id="roleAnimated">
                <h3>Transactions</h3>
                <div class="trans_table">
                    <div class="Heading">
                        <div class="Cell"> 
                            <h3>ID</h3>                           
                        </div>
                        <div class="Cell">
                            <h3>Product</h3>
                        </div>
                        <div class="Cell">
                            <h3>Volume</h3>
                        </div>
                        <div class="Cell">
                            <h3>Price</h3>
                        </div>
                        <div class="Cell">
                            <h3>Money</h3>
                        </div>
                        <div class="Cell">
                            
                        </div>
                    </div>
                    
                    ${Object.keys(tran_list).map( key => {
                        const tran = tran_list[key];
                        return html`
                    <div class="Row">
                        <div class="Cell">
                        <span>${tran.tran_id}</span>
                        </div>
                        <div class="Cell">
                            <span>${tran.product}</span>
                        </div>  
                        <div class="Cell">
                            <span>${tran.volume}</span>
                        </div>
                        <div class="Cell">
                            <span>${tran.price}</span>
                        </div>
                        <div class="Cell">
                            <span>${tran.money}</span>
                        </div>
                        <div class="Cell">                    
                            <button @click="${() => this.addTransToList(tran.tran_id)}">OK</button>
                        </div> 
                    </div>`})}                    
                </div>
                                     
            </paper-dialog>

        </div>
        `;
    }

    static get properties() {
        return {
            pump_data: { type : Array},
            state_transaction: {type: Array}
        }
    }

    showTransList() {
        this.shadowRoot.getElementById("roleAnimated").open();
    }
    stateChanged(state) {
        if(state.transactions){
            this.state_transaction = state.transactions;
        }
    } 

    addTransToList(id) {
        var pumpData = this.pump_data.trans;
        
        Object.keys(pumpData).map(key => {
            var trans = pumpData[key];
            if(id == trans.tran_id){
                var transaction = pumpData[key];
                var state_transaction = this.state_transaction;
                // console.log('state_transaction>>>',state_transaction);
                // console.log('transaction::::',transaction);
                store.dispatch(addTransaction(state_transaction,transaction));
            }

        });
        this.shadowRoot.getElementById("roleAnimated").close();
       
    }

}

customElements.define('pump-view', PumpView);