import { LitElement , html } from 'lit-element';
import { repeat } from 'lit-html/directives/repeat.js';
import './pump-view.js';
import { allPumps } from '../actions/pump.js';
import { connect } from 'pwa-helpers/connect-mixin.js';
import { store } from '../store.js';
import './item-list-element.js';

class PumpsElement extends connect(store)(LitElement) {

    render() {
    
        return html`
        <style>
        .pumps-scroll{
            overflow-y: auto;
            height: 300px;
        }
        .grid {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            margin: 0 10px 32px 10px;
            padding: 0;
            list-style: none;
            
          }
    
          .grid li {
            -webkit-flex-basis: 33%;
            flex-basis: 14%;
            padding-bottom: 10px;
            padding-left: 10px;
            padding-top: 10px;
          }

          .Table
            {
                display: table;
                font-family: arial, sans-serif;
                border-collapse: collapse;
                width: 60%;
                margin-top: 30px;
            }
            .Title
            {
                display: table-caption;
                text-align: center;
                font-weight: bold;
                font-size: larger;
            }
            .Heading
            {
                display: table-row;
                font-weight: bold;
                text-align: center;
            }
            .Row
            {
                display: table-row;
            }
            .Cell
            {
                display: table-cell;
                border: solid;
                border-width: thin;
                padding-left: 5px;
                padding-right: 5px;
                text-align: center;
                border: 1px solid #dddddd;
                padding: 8px;
            }

          @media (max-width: 467px) {
    
            .grid  li {
              -webkit-flex-basis: 40%;
              flex-basis: 40%;
              max-width: 40%;
              padding-bottom: 10px;
              padding-left: 3px;
            }
          }
        </style>
        <div class="pumps-scroll">
        <ul class="grid">
        ${Object.keys(this.pumpsLists).map( key => {
            const pump = this.pumpsLists[key];
            return html`
            <li>
                <pump-view .pump_data="${pump}" ></pump-view>
            </li>
            `;
        })}
        </ul>
        </div>

    `;
    }

    static get properties() {
        return {
            pumpsLists: {
                type: Object
            },
            tran_data : {
                type: Object
            }
        }
    }

    stateChanged(state) {
        this.pumpsLists = state.pumps;
    }

}

customElements.define('pumps-element', PumpsElement);