import { LitElement, html } from 'lit-element';
import './pump-outline.js';
import { allPumps } from '../actions/pump.js';
import { connect } from 'pwa-helpers/connect-mixin.js';
import { store } from '../store.js';

class PumpsOutlineElement extends connect(store)(LitElement) {
    render() {
        // const PumpsListsNames = Object.keys(this.PumpsLists);
        // const pumpsLists = PumpsListsNames.map(key => this.PumpsLists[key]);
        // console.log('this.pumpsLists', pumpsLists);
        return html`
        <style>
        .outline-grid {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            margin: 0 10px 32px 10px;
            padding: 0;
            list-style: none;
          }
    
          .outline-grid li {
            -webkit-flex-basis: 33%;
            flex-basis: 9%;
            padding-bottom: 10px;
            padding-left: 3px;
          }

          @media (max-width: 467px) {
    
            .outline-grid  li {
              -webkit-flex-basis: 40%;
              flex-basis: 40%;
              max-width: 40%;
              padding-bottom: 10px;
              padding-left: 4px;
            }
          }
          .ideal{
            background-color:blue;
          }
          .fueling
          {
            background: cyan;
          }
          .error
          {
            background: red;
          }
          .calling
          {
            background: yellow;
          }
        </style>

        <ul class="outline-grid">
        ${Object.keys(this.PumpsLists).map( key => {
          const pump = this.PumpsLists[key];
        
          return html`
          <li><pump-outline .pump_data="${pump}"></pump-outline></li>
          `;
      })}
        </ul>
        `;
    }

    static get properties() {
      return {
        PumpsLists: {
          type: Object
        }
      }
    }

    firstUpdated() {
      
    }

    stateChanged(state) {
      this.PumpsLists = state.pumps;
      // console.log('PumpsLists', this.PumpsLists);
    }

}

customElements.define('pumps-outline-element', PumpsOutlineElement);